---
search:
  tags:
    - Authorization
    - GET
seo:
  description: >-
    Names and IDs of the organization's resources that a Role grant can target.…
    Reference for the GET /authorization/resources endpoint in the Platform API.
sidebar:
  label: List resources for Role grants
  badge: GET
title: List resources for Role grants
type: openapi-operation
---
Names and IDs of the organization's resources that a Role grant can target. Requires the Permission to create or update Roles. Returns no secret.

`GET /authorization/resources`

**Responses**

- `200` — Up to 100 identities; request the next offset until fewer than 100 records are returned.
- `400` — Invalid request
- `403` — Permission denied
- `503` — Authorization or resource catalog unavailable

Response example, 200:

```json
{
  "records": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "parentName": "string"
    }
  ]
}
```
